vSphere Lifecycle Manager Patch to ESXi 7.0.2 Update 2a 17867351 – Not Applicable

The custom Image Builder created ESXi 7.0.2 Update 2a 17867351 vSphere Lifecycle Manager patch baseline status of “Not Applicable” on an ESXi 7.0.0 host.

Running host to patch to ESXi 7.0.2 is:
VMware ESXi, 7.0.0, 15843807 2020/04/02 https://kb.vmware.com/s/article/2143832

Looking to Image Builder to mint a ESXi 7.0 Update 2a 17867351 2021/04/29 image with NCM and intel NIC driver.
Next, patch the host via Lifecycle Manager using the custom 7.0U2A image.

https://my.vmware.com/patch/ does NOT have a patch for 7.0 Update 2a

VMware-ESXi-7.0U2a-17867351-depot.zip was used on the product download page.
https://my.vmware.com/group/vmware/downloads/details?downloadGroup=ESXI70U2A&productId=974
Spoiler – This is the cause of the issue a *-depot.zip on the patch site is different then the one on the product page in the eye of Lifecycle Manager.

HPE Storage Connection Manager (NCM) for VMware – HPE-Storage-Connection-Manager-for-VMware-7.0-7.0.2-700014.zip

Intel NIC driver – Intel-igbn_1.4.11.0-1OEM.700.1.0.15525992_16043429.zip
http://vibsdepot.hpe.com/hpe/sy-aug2020/esxi-700-devicedrivers/Intel-igbn_1.4.11.0-1OEM.700.1.0.15525992_16043429.zip

You can follow this post on how the custom image using the bits above was performed. https://vmscribble.com/esxi/custom-esxi-6-7-iso-zip-with-intel-nic-drivers-and-nimble-ncm/

A new baseline with the 7.0U2a-Custom-ZIP.zip only was created.
Un-check: Automatically update this baseline with patches that match the following criteria

CHECK COMPLIANCE for the new baseline and the status is “Not Applicable” for 7.0.2 even when Lifecycle Manager shows 7.0.0 as installed.
REMEDIATE will show there nothing to patch.

Fix – Import the ISO version of the custom image to use as an Upgrade baseline.

Why?
Back to the Spoiler note on how the product page .zip was used vs the patch .zip (which is does not exists for U2A).
On positive note, this ISO can be used for 6.7 to 7.0 upgrades as long as it meets the HCL for the NIC drivers. (reminder the 32 bit NCM on ESXi 6.7 needs to be un-installed and rebooted before the ESXi 7.0 upgrade.)

Updates now shows ESXi is on 7.0.2 and the ISO baseline is Compliant.

Configure / System / Packages shows the matching NCM and Intel NIC driver.

Issue

The custom Image Builder created ESXi 7.0.2 Update 2a 17867351 vSphere Lifecycle Manager patch baseline status of “Not Applicable” on an ESXi 7.0.0 host.

Setup

Running host to patch to ESXi 7.0.2 is:
VMware ESXi, 7.0.0, 15843807 2020/04/02 https://kb.vmware.com/s/article/2143832

Looking to Image Builder to mint a ESXi 7.0 Update 2a 17867351 2021/04/29 image with NCM and intel NIC driver.
Next, patch the host via Lifecycle Manager using the custom 7.0U2A image.

https://my.vmware.com/patch/ does NOT have a patch for 7.0 Update 2a

VMware-ESXi-7.0U2a-17867351-depot.zip was used on the product download page.
https://my.vmware.com/group/vmware/downloads/details?downloadGroup=ESXI70U2A&productId=974
Spoiler – This is the cause of the issue a *-depot.zip on the patch site is different then the one on the product page in the eye of Lifecycle Manager.

HPE Storage Connection Manager (NCM) for VMware – HPE-Storage-Connection-Manager-for-VMware-7.0-7.0.2-700014.zip

Intel NIC driver – Intel-igbn_1.4.11.0-1OEM.700.1.0.15525992_16043429.zip
http://vibsdepot.hpe.com/hpe/sy-aug2020/esxi-700-devicedrivers/Intel-igbn_1.4.11.0-1OEM.700.1.0.15525992_16043429.zip

You can follow this post on how the custom image using the bits above was performed. https://vmscribble.com/esxi/custom-esxi-6-7-iso-zip-with-intel-nic-drivers-and-nimble-ncm/

Baselines

A new baseline with the 7.0U2a-Custom-ZIP.zip only was created.
Un-check: Automatically update this baseline with patches that match the following criteria

CHECK COMPLIANCE for the new baseline and the status is “Not Applicable” for 7.0.2 even when Lifecycle Manager shows 7.0.0 as installed.
REMEDIATE will show there nothing to patch.

Fix

Fix – Import the ISO version of the custom image to use as an Upgrade baseline.

Why?
Back to the Spoiler note on how the product page .zip was used vs the patch .zip (which is does not exists for U2A).
On positive note, this ISO can be used for 6.7 to 7.0 upgrades as long as it meets the HCL for the NIC drivers. (reminder the 32 bit NCM on ESXi 6.7 needs to be un-installed and rebooted before the ESXi 7.0 upgrade.)

Validate

Updates now shows ESXi is on 7.0.2 and the ISO baseline is Compliant.

Configure / System / Packages shows the matching NCM and Intel NIC driver.

Menu